
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'syslibgem/version'

Gem::Specification.new do |spec|
  spec.name          = 'syslibgem'
  spec.version       = Syslibgem::VERSION
  spec.authors       = ['abdelkarim00']
  spec.email         = ['kimoacm@gmail.com']

  spec.summary       = 'system libraries installer'
  spec.description   = 'Ruby gem that would collect all
local gems in your project and send them to a web server to determine the system libraries you
need to install.'
  spec.homepage      = 'https://github.com/abdelkarim00/syslibgem'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'bundler'
  spec.add_dependency 'colorize' , '~> 0.8.1'
  spec.add_dependency 'httparty', '~> 0.15.6'
  spec.add_dependency 'json', '~> 2.1.0'
  spec.add_dependency 'os', '~> 1.0.0'
  spec.add_dependency 'thor', '~> 0.20'

  spec.add_development_dependency 'nokogiri'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rubocop', '~> 0.51.0'
  spec.add_development_dependency 'syslibgem', '~> 0.1.5'
end
